@import "src/@fuse/scss/fuse";

:host {

    #forgot-password {
        width: 100%;
        overflow: auto;
        background: url('/assets/images/backgrounds/dark-material-bg.jpg') no-repeat;
        background-size: cover;

        #forgot-password-form-wrapper {
            flex: 1 0 auto;
            padding: 32px;

            @include media-breakpoint('xs') {
                padding: 16px;
            }
            
            #forgot-password-form {
                width: 384px;
                max-width: 384px;
                padding: 32px;
                text-align: center;
                background: #FFFFFF;
                @include mat-elevation(16);

                @include media-breakpoint('xs') {
                    padding: 24px;
                    width: 100%;
                }

                .logo {
                    width: 128px;
                    margin: 32px auto;
                }

                .title {
                    font-size: 20px;
                    margin: 16px 0 32px 0;
                }

                form {
                    width: 100%;
                    text-align: left;

                    mat-form-field {
                        width: 100%;
                    }

                    .submit-button {
                        width: 220px;
                        margin: 16px auto;
                        display: block;

                        @include media-breakpoint('xs') {
                            width: 90%;
                        }
                    }
                }

                .login {
                    margin: 32px auto 24px auto;
                    width: 250px;
                    font-weight: 500;

                    .text {
                        margin-right: 8px;
                    }
                }
            }
        }
    }
}